Subject: bug#18383: Build failure

From: Andy Moreton <[email-masked]>
Date: Mon, 01 Sep 2014 21:14:54 +0100

On Mon 01 Sep 2014, Angelo Graziosi wrote:

> Current trun, rev. 117801, fails to build (I tried on MSYS2-MinGW64) with this
> compiler error:
>
> gcc -std=gnu99  -c -mtune=generic   -DUSE_CRT_DLL=1 -I /tmp/emacs/nt/inc
> -Demacs  -I. -I. -I../lib -I../lib  -mtune=generic
> -IC:/msys64/mingw64/include/librsvg-2.0
> -IC:/msys64/mingw64/include/gdk-pixbuf-2.0 -pthread
> -IC:/msys64/mingw64/include/cairo -IC:/msys64/mingw64/include/glib-2.0
> -IC:/msys64/mingw64/lib/glib-2.0/include -mms-bitfields
> -IC:/msys64/mingw64/include/pixman-1 -I/mingw64/include/libpng16
> -I/mingw64/include/harfbuzz  -IC:/msys64/mingw64/include
> -I/mingw64/include/freetype2 -IC:/msys64/mingw64/include/libpng16
> -IC:/msys64/mingw64/include/libxml2 -IC:/msys64/mingw64/include/dbus-1.0
> -IC:/msys64/mingw64/lib/dbus-1.0/include           -MMD -MF deps/fileio.d -MP
> -IC:/msys64/mingw64/include/p11-kit-1 
> -IC:/msys64/mingw64/include      -I/mingw64/include/noX -Ofast -g0 -pipe
> fileio.c
> fileio.c: In function 'Fexpand_file_name':
> fileio.c:1345:26: error: 'aidr' undeclared (first use in this function)
>       newdirlen = strlen (aidr);
>                           ^
> fileio.c:1345:26: note: each undeclared identifier is reported only once for
> each function it appears in
>

It looks like a typo in r117801. This fixed the Mingw64 build for me:

=== modified file 'src/fileio.c'
--- src/fileio.c        2014-09-01 16:05:43 +0000
+++ src/fileio.c        2014-09-01 20:10:44 +0000
@@ -1342,7 +1342,7 @@
              memcpy (adir, SSDATA (tem), newdirlen + 1);
            }
          else
-           newdirlen = strlen (aidr);
+           newdirlen = strlen (adir);
          newdir = adir;
        }

HTH,

    AndyM